RK-J - Task #2624

It should be possible to have multiple books with same name
09/23/2022 05:18 AM - Ram Kordale

Status: Closed Start date: 09/23/2022
Priority: Normal Due date: 10/28/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, if we ingest 2 books with the same name, delete one and overwrite the other, it fails because the sitemap file is only based on
subject and book names.

This should not be the case as long as the version strings are different.

We need to take care of the books already in prod as well.

Subtasks:
Task # 2625: Add version in the sitemap name during ingest & overwrite. Closed
Bug # 2628: Ensure 2624 in Dev & Prod Closed
Bug # 2630: Ensure 2624 in Dev Closed
Bug # 2631: Ensure 2624 in Prod Closed
Task # 2626: Rename existing sitemap file for the books. Closed
Task # 2627: Update the existing sitemap.xml file for all the existing book either by r... Closed
History

#1 - 09/23/2022 09:41 AM - Ayush Khandelwal
- Due date set to 09/23/2022

#2 - 09/26/2022 06:46 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#3 - 10/06/2022 04:52 AM - Venmuhilan B

- Status changed from New to In Progress

#4 - 10/06/2022 04:54 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#5 - 10/18/2022 03:51 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

Working as expected

#6 - 10/28/2022 11:04 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#7 - 04/26/2023 06:53 AM - Ram Kordale
- Status changed from Feedback to Closed
